package com.izouma.nineth.service.sms;

import java.util.function.Supplier;

public interface SmsService {
    String sendVerify(String phone);

    String verify(String phone, String code);

    class SmsVerifyException extends Exception implements Supplier<SmsVerifyException> {
        public SmsVerifyException(String msg) {
            super(msg);
        }

        @Override
        public SmsVerifyException get() {
            return this;
        }
    }
}
